Debian Bug report logs - #638692
gdcm: FTBFS: make[3]: *** No rule to make target `/usr/lib/libpng.so', needed by `bin/libvtkgdcm.so.2.0.17'. Stop.

version graph

Package: libvtk5-dev; Maintainer for libvtk5-dev is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for libvtk5-dev is src:vtk.

Reported by: Niels Thykier <niels@thykier.net>

Date: Sun, 21 Aug 2011 05:42:02 UTC

Severity: serious

Tags: patch, sid, wheezy

Merged with 506992, 555185, 629815, 630559, 634548, 636869, 640383, 640555, 640556, 640560, 640561, 640566

Found in versions vtk/5.0.4-1.1, vtk/5.2.1-11, vtk/5.4.2-5, vtk/5.6.1-6

Fixed in version vtk/5.6.1-6.1

Done: Mathieu Malaterre <mathieu.malaterre@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#638692; Package gdcm. (Sun, 21 Aug 2011 05:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sun, 21 Aug 2011 05:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdcm: FTBFS: make[3]: *** No rule to make target `/usr/lib/libpng.so', needed by `bin/libvtkgdcm.so.2.0.17'. Stop.
Date: Sun, 21 Aug 2011 07:31:08 +0200
Package: gdcm
Version: 2.0.17-3.1
Severity: serious
Justification: fails to build from source

Hi,

The package FTBFS, presumably because libpng has been multi-arched and this
package makes assumptions about the exact install location of libpng.

"""
[ 78%] Building CXX object Utilities/VTK/CMakeFiles/vtkgdcm.dir/vtkImageRGBToYBR.cxx.o
[ 78%] Building CXX object Utilities/VTK/CMakeFiles/vtkgdcm.dir/vtkGDCMPolyDataReader.cxx.o
[ 79%] Building CXX object Utilities/VTK/CMakeFiles/vtkgdcm.dir/vtkGDCMPolyDataWriter.cxx.o
[ 79%] Building CXX object Utilities/VTK/CMakeFiles/vtkgdcm.dir/vtkLookupTable16.cxx.o
[ 79%] Building CXX object Utilities/VTK/CMakeFiles/vtkgdcm.dir/vtkImageMapToColors16.cxx.o
[ 79%] Building CXX object Utilities/VTK/CMakeFiles/vtkgdcm.dir/vtkImageColorViewer.cxx.o
[ 80%] Building CXX object Utilities/VTK/CMakeFiles/vtkgdcm.dir/vtkGDCMThreadedImageReader2.cxx.o
[ 80%] Building CXX object Utilities/VTK/CMakeFiles/vtkgdcm.dir/vtkgdcmInstantiator.cxx.o
make[3]: *** No rule to make target `/usr/lib/libpng.so', needed by `bin/libvtkgdcm.so.2.0.17'.  Stop.
make[3]: Leaving directory `/build/buildd-gdcm_2.0.17-3.1-armel-aP4FFF/gdcm-2.0.17/debian/build-python2.6'
make[2]: *** [Utilities/VTK/CMakeFiles/vtkgdcm.dir/all] Error 2
make[1]: *** [all] Error 2
make: *** [debian/build-python2.6-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
make[2]: Leaving directory `/build/buildd-gdcm_2.0.17-3.1-armel-aP4FFF/gdcm-2.0.17/debian/build-python2.6'
"""

~Niels

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_DK.UTF-8, LC_CTYPE=en_DK.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#638692; Package gdcm. (Mon, 29 Aug 2011 13:14:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 29 Aug 2011 13:14:24 GMT) Full text and rfc822 format available.

Message #10 received at 638692@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Control bugs server <control@bugs.debian.org>
Cc: 638692@bugs.debian.org
Date: Mon, 29 Aug 2011 15:12:17 +0200
block 638692 by 506992
thanks

not really a bug in gdcm, but in vtk/cmake




Added blocking bug(s) of 638692: 555185, 630559, 506992, and 629815 Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Mon, 29 Aug 2011 13:14:27 GMT) Full text and rfc822 format available.

Added indication that bug 638692 blocks 622279 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sat, 03 Sep 2011 20:36:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'gdcm' to 'vtk'. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 04 Sep 2011 12:44:39 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.0.17-3.1. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 04 Sep 2011 12:44:40 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 5.6.1-6. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 04 Sep 2011 12:44:40 GMT) Full text and rfc822 format available.

Bug reassigned from package 'vtk' to 'libvtk5-dev'. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 04 Sep 2011 12:51:12 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 5.6.1-6. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 04 Sep 2011 12:51:15 GMT) Full text and rfc822 format available.

Bug Marked as found in versions vtk/5.6.1-6. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 04 Sep 2011 12:51:16 GMT) Full text and rfc822 format available.

Forcibly Merged 506992 555185 629815 630559 638692. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 04 Sep 2011 12:51:19 GMT) Full text and rfc822 format available.

Forcibly Merged 506992 555185 629815 630559 634548 638692. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 04 Sep 2011 13:09:19 GMT) Full text and rfc822 format available.

Forcibly Merged 506992 555185 629815 630559 634548 638692 640383. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Mon, 05 Sep 2011 12:43:15 GMT) Full text and rfc822 format available.

Forcibly Merged 506992 555185 629815 630559 634548 636869 638692 640383. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Mon, 05 Sep 2011 13:15:31 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions vtk/5.6.1-6.1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Sep 2011 16:15:11 GMT) Full text and rfc822 format available.

Forcibly Merged 506992 555185 629815 630559 634548 636869 638692 640383 640566. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Mon, 05 Sep 2011 19:33:13 GMT) Full text and rfc822 format available.

Forcibly Merged 506992 555185 629815 630559 634548 636869 638692 640383 640561 640566. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Mon, 05 Sep 2011 19:33:18 GMT) Full text and rfc822 format available.

Forcibly Merged 506992 555185 629815 630559 634548 636869 638692 640383 640555 640561 640566. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Tue, 06 Sep 2011 10:09:19 GMT) Full text and rfc822 format available.

Forcibly Merged 506992 555185 629815 630559 634548 636869 638692 640383 640555 640556 640561 640566. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 07 Sep 2011 17:36:09 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions vtk/5.6.1-6.1. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Thu, 08 Sep 2011 06:52:47 GMT) Full text and rfc822 format available.

Forcibly Merged 506992 555185 629815 630559 634548 636869 638692 640383 640555 640556 640560 640561 640566. Request was from Michael Hanke <mih@debian.org> to control@bugs.debian.org. (Fri, 09 Sep 2011 21:39:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:50:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:05:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.